Birt Report Designer does not load

Getting

Plug-in “org.eclipse.birt.report.designer.ui.ide” was unable to instantiate class “org.eclipse.birt.report.designer.ui.editors.ReportEditorProxy”.

Elipse Version: 2019-06 (4.12.0)

This article says it just does not work in 2019-06

https://www.eclipse.org/forums/index.php/t/1099407/

Seems like Birt still relies on the class ‘org.eclipse.core.runtime.IPluginDescriptor’ which has been marked as deprecated for a long time, and is finally removed in 2019-06.

we just downgraded to eclipse 2019-03 and everything works fine for us

Download BIRT 4.5

https://www.eclipse.org/downloads/packages/release/neon/r/eclipse-ide-java-and-report-developers